atomicops.h File Reference
`#include <cassert>`
`#include <type_traits>`
`#include <atomic>`
`#include <utility>`
Include dependency graph for atomicops.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | moodycamel::weak_atomic< T >
class | moodycamel::spsc_sema::LightweightSemaphore

## Namespaces

namespace | moodycamel
namespace | moodycamel::spsc_sema

## Macros

#define | AE_ARCH_UNKNOWN
#define | AE_UNUSED(x) ((void)x)
#define | AE_FORCEINLINE inline
#define | AE_ALIGN(x) __attribute__((aligned(x)))
#define | AE_USE_STD_ATOMIC_FOR_WEAK_ATOMIC

## Enumerations

enum | moodycamel::memory_order { moodycamel::memory_order_relaxed , moodycamel::memory_order_acquire , moodycamel::memory_order_release , moodycamel::memory_order_acq_rel , moodycamel::memory_order_seq_cst , moodycamel::memory_order_sync = memory_order_seq_cst }

## Functions

AE_FORCEINLINE void | moodycamel::compiler_fence (memory_order order)
AE_FORCEINLINE void | moodycamel::fence (memory_order order)

## Macro Definition Documentation

## AE_ALIGN

#define AE_ALIGN | ( |  | x | ) | __attribute__((aligned(x)))

## AE_ARCH_UNKNOWN

#define AE_ARCH_UNKNOWN

## AE_FORCEINLINE

#define AE_FORCEINLINE inline

## AE_UNUSED

#define AE_UNUSED | ( |  | x | ) | ((void)x)

## AE_USE_STD_ATOMIC_FOR_WEAK_ATOMIC

#define AE_USE_STD_ATOMIC_FOR_WEAK_ATOMIC